package eu.cedarsoft.wicket.navigation;

import org.apache.wicket.ResourceReference;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.IModel;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 * Abstract base class for all sort of navigations
 */
public class HeadedNavigationComponent extends NavigationComponent {
  @NonNls
  private static final String ID_HEADLINE = "headline";

  public HeadedNavigationComponent( @NotNull @NonNls String id, @NotNull LinksDataView dataView, @NotNull IModel headlineModel ) {
    super( id, dataView );
    add( new Label( ID_HEADLINE, headlineModel ) );
  }

  public HeadedNavigationComponent( @NotNull @NonNls String id, @NotNull LinksDataView dataView, @NotNull IModel headlineModel, @Nullable ResourceReference styleSheetReference ) {
    super( id, dataView, styleSheetReference );
    add( new Label( ID_HEADLINE, headlineModel ) );
  }
}
