package eu.cedarsoft.wicket.navigation;

import eu.cedarsoft.wicket.WicketConstants;
import org.apache.wicket.ResourceReference;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.panel.EmptyPanel;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.markup.html.resources.StyleSheetReference;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 *
 */
public class NavigationComponent extends Panel {
  @NonNls
  private static final String ID_NAVIGATION_UL = "navigationUl";

  public NavigationComponent( @NotNull @NonNls String id, @NotNull final LinksDataView dataView ) {
    this( id, dataView, null );
  }

  public NavigationComponent( @NotNull @NonNls String id, @NotNull final LinksDataView dataView, @Nullable ResourceReference styleSheetReference ) {
    super( id );

    if ( styleSheetReference == null ) {
      add( new EmptyPanel( WicketConstants.ID_STYLE_SHEET ) );
    } else {
      add( new StyleSheetReference( WicketConstants.ID_STYLE_SHEET, styleSheetReference ) );
    }

    WebMarkupContainer container = new WebMarkupContainer( ID_NAVIGATION_UL );
    add( container );
    container.add( dataView );
  }
}
